<script src="http://static.ak.connect.facebook.com/js/api_lib/v0.4/FeatureLoader.js.php/en_US" type="text/javascript"></script>

<input type="hidden" name="fbsc_nonce" value="<?php echo wp_create_nonce('fbsc_post') ?>" />

<?php global $post; ?>
<?php
	$status = get_post_meta($post->ID, '_fbsc_status', true);
	switch ($status) {
		case 'publish':
			$disabled = 'disabled="disabled"';
			$dopost = 'no';
			break;
		case 'post-ready':
		case 'posting':
			$dopost = 'yes';
			break;
		case 'post-error':
		case 'image-error':
		case 'draft':
			$dopost = 'no';
			break;
		default:
			$dopost = get_option('fbsc_post_default');
	}

?>			

<table class="form-table">

<tr valign="top">
<th scope="row" class="row-title">Login/Permissions Check</th>
<td>
	<div id="fbsc_login_status_unknown"><img src="<?php echo plugins_url(FBSC_DIR); ?>/warn.png" ?> <strong>Login Status:</strong> Determining...</div>
	<div id="fbsc_login_status_no" style="display:none"><img src="<?php echo plugins_url(FBSC_DIR); ?>/fail.png" /> <strong>Login Status:</strong> Not logged in. [<a href="#" onclick="fbsc_do_login(); return false;">Login</a>]</div>
	<div id="fbsc_login_status_yes" style="display:none"><img src="<?php echo plugins_url(FBSC_DIR); ?>/ok.png" /> <strong>Login Status:</strong> Logged in. <span id="fbsc_login_name" style="text-decoration: underline;"></span></div>
	<div id="fbsc_publish_status_unknown"></div>
	<div id="fbsc_publish_status_no" style="display:none"><img src="<?php echo plugins_url(FBSC_DIR); ?>/fail.png" /> <strong>Publishing: </strong> Not allowed. [<a href="#" onclick="fbsc_do_perms(); return false;">Enable Publishing</a>]</div>
	<div id="fbsc_publish_status_yes" style="display:none"><img src="<?php echo plugins_url(FBSC_DIR); ?>/ok.png" /> <strong>Publishing:</strong> Allowed</div>
</td>
</tr>

<?php if ($status == 'publish') { ?>
<tr>
	<td colspan="2">This entry has already been published to Facebook. It cannot be deleted or modified.</td>
</tr>
<?php } elseif ($status == 'post-error') { ?>
<tr>
	<td colspan="2"><div class="error"><?php echo get_post_meta($post->ID, '_fbsc_error', true); ?></div></td>
</tr>
<?php } ?>

<tr class="fbsc_form" style="display:none">
<th scope="row" class="row-title">Cross-post?</th>
<td>
	<input type="checkbox" name="fbsc_dopost" value="yes" <?php echo ( $dopost=="yes" ? 'checked="checked"' : '') ?> <?php echo $disabled; ?>/>
	Post this entry to facebook, and enable comment sharing
</td>
</tr>

<tr class="fbsc_form" style="display:none">
<th scope="row" class="row-title">Entry Note</th>
<td>
	<textarea name="fbsc_note" class="large-text" <?php echo $disabled; ?>><?php echo get_post_meta($post->ID, '_fbsc_note', true); ?></textarea><br />
	A short note to accompany the excerpt on Facebook.
</td>
</tr>

<tr class="fbsc_form" style="display:none">
<th scope="row" class="row-title">Attach Image</th>
<td>
	<input type="text" class="regular-text" name="fbsc_image" value="<?php echo get_post_meta($post->ID, '_fbsc_image', true); ?>" <?php echo $disabled; ?>/><br />
	This image will appear as a thumbnail on Facebook.<br />
	It will be resized to a max width of 130px by a max height of 200px.
<?php if ($status == 'image-error') { ?>
	<div class="error"><?php echo get_post_meta($post->ID, '_fbsc_error', true); ?></div>
<?php } ?>
</td>
</tr>

</table>

<pre>
<? global $post; print_r($post); ?>
</pre>


<div style="width:0px; height:0px; overflow:hidden;">
<script type="text/javascript">
// -1 unknown, 0 no, 1 yes
var fbsc_loggedIn = -1;
var fbsc_permsOk = -1;
var fbsc_userName = '';

function fbsc_update_status() {

	var $j = jQuery.noConflict();

	$j("#fbsc_login_status_unknown").hide();
	$j("#fbsc_login_status_yes").hide();
	$j("#fbsc_login_status_no").hide();
	$j("#fbsc_publish_status_unknown").hide();
	$j("#fbsc_publish_status_yes").hide();
	$j("#fbsc_publish_status_no").hide();
	switch (fbsc_loggedIn) {
	case -1:
		$j("#fbsc_login_status_unknown").show();
		break;
	case 0:
		$j("#fbsc_login_status_no").show();
		break;
	case 1:
		$j("#fbsc_login_name").html(fbsc_userName);
		$j("#fbsc_login_status_yes").show();
		break;
	}
	switch (fbsc_permsOk) {
	case -1:
		$j("#fbsc_publish_status_unknown").show();
		break;
	case 0:
		$j("#fbsc_publish_status_no").show();
		break;
	case 1:
		$j("#fbsc_publish_status_yes").show();
		break;
	}
	if (fbsc_loggedIn == 1 && fbsc_permsOk == 1) {
		$j('.fbsc_form').show();
	} else {
		$j('.fbsc_forn').hide();
	}

}

function fbsc_do_login() {
	FB.Connect.requireSession(fbsc_check_login_status, true);
}

function fbsc_do_perms() {
	FB.Connect.showPermissionDialog('publish_stream', fbsc_check_publish_status);
}

function fbsc_check_login_status() {
	console.log('check login status');
	FB.Connect.ifUserConnected(fbsc_login_status_yes, fbsc_login_status_no);
}

function fbsc_login_status_yes() {
	console.log('login status yes');
	fbsc_loggedIn = 1;
	fbsc_update_status();
	fbsc_check_username();
	fbsc_check_publish_status();
}

function fbsc_login_status_no() {
	console.log('login status no');
	fbsc_loggedIn = 0;
	fbsc_permsOk = -1;
	fbsc_userName = '';
	fbsc_update_status();
}

function fbsc_check_username() {
	console.log('check username');
	var userid = FB.Connect.get_loggedInUser();
	FB.Facebook.apiClient.users_getInfo([userid], ['name'], fbsc_update_username);
}

function fbsc_update_username(ret) {
	console.log('update username');
	if (ret !== null) {
		fbsc_userName = ret[0]['name'];
	} else {
		fbsc_userName = '';
	}
	fbsc_update_status();
}

function fbsc_check_publish_status() {
	console.log('check publish status');
	FB.Facebook.apiClient.users_hasAppPermission('publish_stream', fbsc_check_publish_status_results);
}

function fbsc_check_publish_status_results(stat) {
	console.log('check publish status result '+stat);
	fbsc_permsOk = stat;
	fbsc_update_status();
}

FB_RequireFeatures(["Connect"], function(){ 
	FB.Facebook.init("<?php echo get_option('fbsc_api_key'); ?>", "<?php echo site_url(); ?>?fbsc=xd");
});
FB.ensureInit(fbsc_check_login_status);
</script>
</div>
